.main-block.container {
	position: relative;
	align-items: stretch;
}

.main-block .left-part {
	display: flex;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	padding: 64px 0;
	gap: 24px;
}
.main-block .right-part {
	display: none;
	width: 50%;
	justify-content: center;
	align-items: center;
	padding: 24px;
}

.main-block .spinner {
	position: absolute;
	top: 10px;
	left: 0;
	right: 0;
	margin-left: auto;
	margin-right: auto;

	display: none;
	width: 123px;
	height: 123px;
	z-index: 999;

	animation: rotate 10s linear infinite; /* Анимация поворота */
}
.section-title {
	text-transform: uppercase;
}
@keyframes rotate {
	from {
		transform: rotate(0deg); /* Начальный угол поворота */
	}
	to {
		transform: rotate(360deg); /* Конечный угол поворота */
	}
}

.main-block-description {
	font-size: 16px;
	line-height: 24px;
	color: var(--text-secondary);
	text-align: left;
	letter-spacing: -0.2px;
}

.main-block .buttons-container {
	display: flex;
	flex-direction: column;
	gap: 20px;
}

.main-block .cards-container {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 20px;
}

.main-block .cards-container .card {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 8px;
	flex-basis: calc(50% - 20px);
}

.right-part .picture {
	display: block;
	width: 100%;
	max-height: 468px;
	border: none;
	object-fit: contain;
}

@media (min-width: 768px) {
	.main-block .buttons-container {
		flex-direction: row;
	}
}
@media (min-width: 1280px) {
	.main-block .left-part {
		width: 50%;
		padding: 64px 64px 64px 0;
	}
	.main-block .right-part {
		display: flex;
	}

	.main-block .spinner {
		display: block;
	}

	.main-block .cards-container {
		flex-wrap: nowrap;
	}
}
